#!/usr/bin/env sh

set -e
set -x

co_dir=mplayer-vdpau

svn co --ignore-externals -r 27408 svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir}
cd ${co_dir}
svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc
svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat
svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec
svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil

patch -p0 < ../mplayer-vdpau-mplayer.patch 
patch -p0 < ../mplayer-vdpau-libavutil.patch 
patch -p0 < ../mplayer-vdpau-libavcodec.patch 

./configure
make

